cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/charging_periods/cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.charging_periods.get_settings_charging_period(
"cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.chargingPeriods.getSettingsChargingPeriod('cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->chargingPeriods->getSettingsChargingPeriod(
'cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.charging_periods.charging_periods_dto.ChargingPeriodsDto.SettingsChargingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsChargingPeriod> response = client.chargingPeriods().getSettingsChargingPeriod(
"cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ChargingPeriods.GetSettingsChargingPeriodAsync("cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.chargingPeriods.getSettingsChargingPeriod(
'cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ChargingPeriods().GetSettingsChargingPeriod(context.Background(), "cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"charging_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Charging periods
Retrieve a charging period
Returns one charging period by its id, under charging_period.
GET
/
settings
/
charging_periods
/
{charging_period_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/settings/charging_periods/cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.charging_periods.get_settings_charging_period(
"cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.chargingPeriods.getSettingsChargingPeriod('cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->chargingPeriods->getSettingsChargingPeriod(
'cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.charging_periods.charging_periods_dto.ChargingPeriodsDto.SettingsChargingPeriod;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsChargingPeriod> response = client.chargingPeriods().getSettingsChargingPeriod(
"cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ChargingPeriods.GetSettingsChargingPeriodAsync("cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.chargingPeriods.getSettingsChargingPeriod(
'cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ChargingPeriods().GetSettingsChargingPeriod(context.Background(), "cp_171b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"charging_period": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"time_period": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
}
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads the charging period with this
cp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The charging period's cp_ id, as a listing or a create returns it.
Response
The charging period, under charging_period.
Show child attributes
Show child attributes